Bug 1476489 - Review Request: xfce4-statusnotifier-plugin - Panel area status notifier plugin for Xfce4
Review Request: xfce4-statusnotifier-plugin - Panel area status notifier plug...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Yan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-29 11:46 EDT by Zamir SUN
Modified: 2017-08-23 15:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 15:54:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
felixonmars: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Zamir SUN 2017-07-29 11:46:29 EDT
Spec URL: https://zsun.fedorapeople.org/pub/pkgs/xfce4-statusnotifier-plugin/xfce4-statusnotifier-plugin.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/xfce4-statusnotifier-plugin/xfce4-statusnotifier-plugin-0.1.0-1.fc26.src.rpm
Description: Panel area status notifier plugin for Xfce4
Fedora Account System Username: zsun
Comment 1 Robert-André Mauchin 2017-07-30 13:42:31 EDT
Hello,

Two points:

 - If you're installing a .desktop file, you must validate it in %check: https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
 - Your package includes a static library (*.la). It shouldn't be included. You can pass --disable-static to automake.

You have rpmlint errors:

 - debuginfo-without-sources:
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

 - hardcoded-library-path:
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.
  Though I'm not sure why it's outputting this one as your library is in /usr/lib64 here. Maybe someone can chime in to explain it.

I can't test it but it builds fine in mock.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 25 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/xfce4
     -statusnotifier-plugin/review-xfce4-statusnotifier-
     plugin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in xfce4-statusnotifier-plugin
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xfce4
     -statusnotifier-plugin-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xfce4-statusnotifier-plugin-0.1.0-1.fc27.x86_64.rpm
          xfce4-statusnotifier-plugin-debuginfo-0.1.0-1.fc27.x86_64.rpm
          xfce4-statusnotifier-plugin-0.1.0-1.fc27.src.rpm
xfce4-statusnotifier-plugin.x86_64: W: spelling-error %description -l en_US systray -> stray
xfce4-statusnotifier-plugin.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
xfce4-statusnotifier-plugin.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xfce4-statusnotifier-plugin.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xfce4-statusnotifier-plugin-debuginfo.x86_64: E: debuginfo-without-sources
xfce4-statusnotifier-plugin.src: W: spelling-error %description -l en_US systray -> stray
xfce4-statusnotifier-plugin.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
xfce4-statusnotifier-plugin.src:37: E: hardcoded-library-path in %{buildroot}/usr/lib
3 packages and 0 specfiles checked; 2 errors, 6 warnings.
Comment 2 Zamir SUN 2017-07-31 10:26:55 EDT
Hi, thanks for the review.

> - If you're installing a .desktop file, you must validate it in %check: 

IMO this is not a general desktop file. It is for xfce use only. I checked various xfce plugins, and none of them implement a validate. For example,
http://pkgs.fedoraproject.org/cgit/rpms/xfce4-calculator-plugin.git/tree/xfce4-calculator-plugin.spec
http://pkgs.fedoraproject.org/cgit/rpms/xfce4-battery-plugin.git/tree/xfce4-battery-plugin.spec
What's more, it will fail to rpmbuild if a validate is added.

> - debuginfo-without-sources:
The same as I stated in 1471806, rpmlint passed on Fedora 26.
> - hardcoded-library-path:
I know where this comes from. I have a line
> mv %{buildroot}/usr/lib %{buildroot}/%{_libdir}
I find the plugin always goes into /usr/lib regardless of architecture, so I hardcoded a mv here.

The static library problem is fixed.
Updated in place.

Spec URL: https://zsun.fedorapeople.org/pub/pkgs/xfce4-statusnotifier-plugin/xfce4-statusnotifier-plugin.spec
SRPM URL: https://zsun.fedorapeople.org/pub/pkgs/xfce4-statusnotifier-plugin/xfce4-statusnotifier-plugin-0.1.0-1.fc26.src.rpm

HTH.
Comment 3 Robert-André Mauchin 2017-07-31 10:47:35 EDT
>What's more, it will fail to rpmbuild if a validate is added

Why would that be?
Comment 4 Zamir SUN 2017-07-31 11:25:00 EDT
(In reply to Robert-André Mauchin from comment #3)
> >What's more, it will fail to rpmbuild if a validate is added
> 
> Why would that be?

It shows 

> + desktop-file-validate /home/zsun/rpmbuild/BUILDROOT/xfce4-statusnotifier-plugin-0.1.0-1.fc26.x86_64/usr/share/xfce4/panel/plugins/statusnotifier.desktop
> /home/zsun/rpmbuild/BUILDROOT/xfce4-statusnotifier-plugin-0.1.0-1.fc26.x86_64/usr/share/xfce4/panel/plugins/statusnotifier.desktop: error: first group is not "Desktop Entry"
> /home/zsun/rpmbuild/BUILDROOT/xfce4-statusnotifier-plugin-0.1.0-1.fc26.x86_64/usr/share/xfce4/panel/plugins/statusnotifier.desktop: error: file contains group "Xfce Panel", but groups extending the format should start with "X-"
> error: Bad exit status from /var/tmp/rpm-tmp.YFI6nz (%install)

And if I look into the desktop file, it is not actually a desktop file format, just a file with .desktop suffix.

> [Xfce Panel]
> Type=X-XFCE-PanelPlugin
> Encoding=UTF-8
> Name=Status Notifier Plugin
> Comment=Provides a panel area for status notifier items (application indicators)
> Icon=xfce4-statusnotifier-plugin
> X-XFCE-Module=statusnotifier
> X-XFCE-Unique=TRUE
> X-XFCE-Internal=FALSE
> X-XFCE-API=2.0
> ~
Comment 5 Felix Yan 2017-08-04 11:41:42 EDT
I guess gcc-c++ should be removed from BR:

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 19 files have unknown license. Detailed output of
     licensecheck in /root/1476489-xfce4-statusnotifier-
     plugin/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in xfce4-statusnotifier-plugin
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xfce4
     -statusnotifier-plugin-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xfce4-statusnotifier-plugin-0.1.0-1.fc27.x86_64.rpm
          xfce4-statusnotifier-plugin-debuginfo-0.1.0-1.fc27.x86_64.rpm
          xfce4-statusnotifier-plugin-0.1.0-1.fc27.src.rpm
xfce4-statusnotifier-plugin.x86_64: W: spelling-error %description -l en_US systray -> stray
xfce4-statusnotifier-plugin.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
xfce4-statusnotifier-plugin.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xfce4-statusnotifier-plugin.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xfce4-statusnotifier-plugin-debuginfo.x86_64: E: debuginfo-without-sources
xfce4-statusnotifier-plugin.src: W: spelling-error %description -l en_US systray -> stray
xfce4-statusnotifier-plugin.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
xfce4-statusnotifier-plugin.src:38: E: hardcoded-library-path in %{buildroot}/usr/lib
3 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xfce4-statusnotifier-plugin-debuginfo-0.1.0-1.fc27.x86_64.rpm
xfce4-statusnotifier-plugin-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
xfce4-statusnotifier-plugin.x86_64: W: spelling-error %description -l en_US systray -> stray
xfce4-statusnotifier-plugin.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
xfce4-statusnotifier-plugin-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
xfce4-statusnotifier-plugin (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libdbusmenu-glib.so.4()(64bit)
    libdbusmenu-gtk3.so.4()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libxfce4panel-2.0.so.4()(64bit)
    libxfce4ui-2.so.0()(64bit)
    libxfce4util.so.7()(64bit)
    libxfconf-0.so.2()(64bit)
    rtld(GNU_HASH)

xfce4-statusnotifier-plugin-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
xfce4-statusnotifier-plugin:
    libstatusnotifier.so()(64bit)
    xfce4-statusnotifier-plugin
    xfce4-statusnotifier-plugin(x86-64)

xfce4-statusnotifier-plugin-debuginfo:
    debuginfo(build-id)
    xfce4-statusnotifier-plugin-debuginfo
    xfce4-statusnotifier-plugin-debuginfo(x86-64)



Unversioned so-files
--------------------
xfce4-statusnotifier-plugin: /usr/lib64/xfce4/panel/plugins/libstatusnotifier.so

Source checksums
----------------
https://git.xfce.org/panel-plugins/xfce4-statusnotifier-plugin/snapshot/xfce4-statusnotifier-plugin-0.1.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 1be5e483b77c335a62befa0e17bcc5041a5e89b28cc9f03f7f5b0dd322042051
  CHECKSUM(SHA256) upstream package : 1be5e483b77c335a62befa0e17bcc5041a5e89b28cc9f03f7f5b0dd322042051


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1476489
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-08-04 11:51:06 EDT
(In reply to Felix Yan from comment #5)
> I guess gcc-c++ should be removed from BR:
> 
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
Nah, that's just rpmlint being old. The exception for gcc
has been removed: 
https://pagure.io/packaging-committee/issue/497#comment-146293.
(current link to guidelines is https://fedoraproject.org/wiki/Packaging:Guidelines#Build-Time_Dependencies_.28BuildRequires.29)

> Unversioned so-files
> --------------------
> xfce4-statusnotifier-plugin:
> /usr/lib64/xfce4/panel/plugins/libstatusnotifier.so
That's OK — it's a plugin, and plugins are not versioned.
Comment 7 Felix Yan 2017-08-04 12:01:32 EDT
Ah, I see... Then I think it's OK to push :)
Comment 8 Ralph Bean 2017-08-10 09:51:03 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xfce4-statusnotifier-plugin
Comment 9 Ralph Bean 2017-08-10 09:51:26 EDT
(fedrepo-req-admin):  Apologies for the delay!
Comment 10 Fedora Update System 2017-08-15 10:59:04 EDT
xfce4-statusnotifier-plugin-0.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ec2d397fa
Comment 11 Fedora Update System 2017-08-15 20:53:54 EDT
xfce4-statusnotifier-plugin-0.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ec2d397fa
Comment 12 Fedora Update System 2017-08-23 15:54:30 EDT
xfce4-statusnotifier-plugin-0.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.